Org-wide knowledge items (?kinds=&status=&assistantId=&q=&page=&pageSize=)
GET
/api/v1/knowledge/sourcesRequires an Organization API key with the member capability.
Authorization
apiKey AuthorizationBearer <token>
In: header
Query Parameters
kinds?string
Comma-separated Source kinds; defaults to all kinds.
status?string
Filter by Source status.
assistantId?string
Filter by linked Assistant.
q?string
Search the Knowledge Library.
page?integer
Page number.
pageSize?integer
Items per page.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/knowledge/sources"{ "items": [ { "id": "string", "collectionId": "string", "name": "string", "kind": "file", "status": "error", "conceptCount": 0, "answerPreview": "string", "linkedAssistants": [ { "assistantId": "string", "assistantName": "string", "directAccess": true } ], "lastCrawledAt": null, "createdAt": "string", "updatedAt": "string" } ], "total": 0, "statusCounts": { "processing": 0, "ready": 0, "error": 0 }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}